puppetserver-6.5.0-alt1.noarch.rpm


Advertisement

Description

puppetserver - Server automation framework and application

Property Value
Distribution ALT Linux Sisyphus
Repository Classic noarch
Package filename puppetserver-6.5.0-alt1.noarch.rpm
Package name puppetserver
Package version 6.5.0
Package release alt1
Package architecture noarch
Package type rpm
Category Other
Homepage -
License -
Maintainer -
Download size 116.99 MB
Installed size 116.99 MB
Puppet Server is the next-generation application for managing Puppet agents.
This platform implements Puppet's server-side components in a more distributed,
service-oriented architecture. We've built Puppet Server on top of the same
technologies that make PuppetDB successful, and which allow us to greatly
improve performance, scalability, advanced metrics collection, and fine-grained
control over the Ruby runtime.

Alternatives

Package Version Architecture Repository
puppetserver - - -

Requires

Name Value
/bin/bash -
/etc/logrotate.d -
/etc/rc.d/init.d/functions -
/lib/lsb/init-functions -
/usr/bin/env -
/usr/bin/install -
/usr/bin/ruby -
bash -
clojure -
coreutils -
findutils -
glibc-utils -
grep -
net-tools -
procps -
puppet -
rpmlib(PayloadIsLzma) -
ruby-puppetserver-ca-cli -
sed -
service -
shadow-utils -
su -
sudo -
util-linux -

Provides

Name Value
puppetserver = 6.5.0-alt1:sisyphus+236606.20.4.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package puppetserver-6.5.0-alt1.noarch.rpm
Source Package puppetserver-6.5.0-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install puppetserver rpm package:
    # sudo apt-get install puppetserver

Files

Path
/etc/default/puppetserver
/etc/init.d/puppetserver
/etc/logrotate.d/puppetserver
/etc/puppetserver/bootstrap.cfg
/etc/puppetserver/logback.xml
/etc/puppetserver/request-logging.xml
/etc/puppetserver/conf.d/auth.conf
/etc/puppetserver/conf.d/global.conf
/etc/puppetserver/conf.d/metrics.conf
/etc/puppetserver/conf.d/puppetserver.conf
/etc/puppetserver/conf.d/web-routes.conf
/etc/puppetserver/conf.d/webserver.conf
/etc/puppetserver/services.d/ca.cfg
/etc/sysconfig/puppetserver
/lib/tmpfiles.d/puppetserver.conf
/usr/bin/puppetserver
/usr/share/puppetserver/ezbake-functions.sh
/usr/share/puppetserver/ezbake.manifest
/usr/share/puppetserver/jruby-1_7.jar
/usr/share/puppetserver/jruby-9k.jar
/usr/share/puppetserver/puppetserver.jar
/usr/share/puppetserver/cli/cli-defaults.sh
/usr/share/puppetserver/cli/apps/ca
/usr/share/puppetserver/cli/apps/foreground
/usr/share/puppetserver/cli/apps/gem
/usr/share/puppetserver/cli/apps/irb
/usr/share/puppetserver/cli/apps/reload
/usr/share/puppetserver/cli/apps/ruby
/usr/share/puppetserver/cli/apps/start
/usr/share/puppetserver/cli/apps/stop
/var/lib/puppetserver/jars
/var/log/puppetserver
/var/run/puppetserver

Changelog

2019-08-26 - Andrey Bychkov <mrdrew@altlinux.org> 6.5.0-alt1
- Version updated to 6.5.0
2019-07-06 - Igor Vlasenko <viy@altlinux.ru> 6.3.0-alt3
- NMU: remove rpm-build-ubt from BR:
2019-05-14 - Andrey Bychkov <mrdrew@altlinux.org> 6.3.0-alt2
- puppetserver config path fixed
2019-05-08 - Andrey Bychkov <mrdrew@altlinux.org> 6.3.0-alt1
- Version updated to 6.3.0
2019-03-01 - Andrey Bychkov <mrdrew@altlinux.org> 6.2.1-alt1
- Version updated to 6.2.1
2018-12-25 - Andrey Bychkov <mrdrew@altlinux.org> 6.1.0-alt1
- version updated to 6.1.0
2018-12-07 - Andrey Bychkov <mrdrew@altlinux.org> 6.0.2-alt3
- requires fixed
2018-11-30 - Andrey Bychkov <mrdrew@altlinux.org> 6.0.2-alt2
- puppetserver ca added
2018-11-19 - Andrey Bychkov <mrdrew@altlinux.org> 6.0.2-alt1
- version updated to 6.0.2
2018-10-14 - Igor Vlasenko <viy@altlinux.ru> 6.0.0-alt1.qa1
- NMU: applied repocop patch

See Also

Package Description
puppetserver-ca-1.4.0-alt2.noarch.rpm Executable file for puppetserver-ca gem
pushover-themes-0.0.5-alt1.1.noarch.rpm Theme files for pushover package
pve-common-6.0.4-alt2.noarch.rpm PVE base library
pve-doc-generator-6.0.4-alt1.noarch.rpm Proxmox VE Documentation helpers
pve-docs-6.0.4-alt1.noarch.rpm PVE Documentation
pve-novnc-1.1.0-alt1.noarch.rpm HTML5 VNC client
pve-qemu-aux-4.0.0-alt1.noarch.rpm QEMU auxiliary package
pve-xtermjs-3.10.1-alt1.noarch.rpm HTML/JS Shell client
py2pack-0.6.4-alt1.noarch.rpm Generate distribution packages from Python packages on PyPI
pybitmessage-0.4.2-alt1.noarch.rpm Send encrypted messages
pybliographer-1.4.0-alt1.noarch.rpm Framework for working with bibliographic databases
pycam-0.6.3-alt1.noarch.rpm Open Source CAM - Toolpath Generation for 3-Axis CNC machining
pycdlib-1.7.0-alt1.noarch.rpm Tools and libraries for working with ISO images
pycdlib-docs-1.7.0-alt1.noarch.rpm Docs for PyCdlib
pycdlib-tools-1.7.0-alt1.noarch.rpm Tools for working with ISOs
Advertisement
Advertisement